Skip to main content
GET
/
v1
/
ip
/
graph
/
{ipAssetId}
Get IP Asset Graph
curl --request GET \
  --url https://staging.crossmint.com/api/v1/ip/graph/{ipAssetId} \
  --header 'X-API-KEY: <x-api-key>'
import requests

url = "https://staging.crossmint.com/api/v1/ip/graph/{ipAssetId}"

headers = {"X-API-KEY": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};

fetch('https://staging.crossmint.com/api/v1/ip/graph/{ipAssetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rootIpId": "0xf6546a7e5342b152366E3B3FC773743b6D991aB2",
  "parents": {
    "ipId": "0xAb92d4f9EA97666c40527D54a9aF4D7F82ab8552",
    "parents": [
      {
        "ipId": "0x9876543210abcdef9876543210abcdef98765432",
        "parents": []
      }
    ]
  },
  "children": {
    "ipId": "0x123456789abcdef0123456789abcdef012345678",
    "children": [
      {
        "ipId": "0xabcdef0123456789abcdef0123456789abcdef01",
        "children": []
      }
    ]
  }
}
This API is still under development. Contact support for early access.

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

ipAssetId
string
required

Query Parameters

depth
string
default:1
Pattern: ^\d+$

Response

200 - application/json

IP Asset Graph found

rootIpId
string
required

The root IP ID for which the graph was generated

Example:

"0xf6546a7e5342b152366E3B3FC773743b6D991aB2"

parents
object[]
required

Array of parent IP asset nodes

Example:
{
"ipId": "0xAb92d4f9EA97666c40527D54a9aF4D7F82ab8552",
"parents": [
{
"ipId": "0x9876543210abcdef9876543210abcdef98765432",
"parents": []
}
]
}
children
object[]
required

Array of child IP asset nodes

Example:
{
"ipId": "0x123456789abcdef0123456789abcdef012345678",
"children": [
{
"ipId": "0xabcdef0123456789abcdef0123456789abcdef01",
"children": []
}
]
}